import http from "http";
type Param = {
    request?: http.IncomingMessage;
    cookieString?: string;
    encryptionKey: string;
    encryptionSalt: string;
    database: string;
};
type Return = {
    key: string | undefined;
    csrf: string | undefined;
};
/**
 * Get just the access token for user
 * ==============================================================================
 * @description This Function takes in a request object and returns a user token
 * string and csrf token string
 */
export default function getToken({ request, encryptionKey, encryptionSalt, cookieString, }: Param): Return;
export {};
