type Param = {
    unparsedResults: any[];
    tableSchema?: import("../../types").DSQL_TableSchemaType;
};
/**
 * Parse Database results
 * ==============================================================================
 * @description this function takes a database results array gotten from a DB handler
 * function, decrypts encrypted fields, and returns an updated array with no encrypted
 * fields
 */
export default function parseDbResults({ unparsedResults, tableSchema, }: Param): Promise<any[] | null>;
export {};
