import { AddUserFunctionReturn, UserDataPayload } from "../../types";
type Param = {
    key?: string;
    database?: string;
    payload: UserDataPayload;
    encryptionKey?: string;
    encryptionSalt?: string;
    user_id?: string | number;
    apiUserId?: string | number;
};
/**
 * # Add User to Database
 */
export default function addUser({ key, payload, database, encryptionKey, user_id, apiUserId, }: Param): Promise<AddUserFunctionReturn>;
export {};
