import http from "http";
type Param = {
    encryptedUserString?: string;
    request?: http.IncomingMessage & {
        [s: string]: any;
    };
    response?: http.ServerResponse & {
        [s: string]: any;
    };
    cookieString?: string;
    database?: string;
    dsqlUserId?: string | number;
    debug?: boolean;
};
type Return = {
    success: boolean;
    msg: string;
    cookieNames?: any;
};
/**
 * # Logout user
 */
export default function logoutUser({ response, database, dsqlUserId, encryptedUserString, request, cookieString, debug, }: Param): Return;
export {};
